View Issue Details

IDProjectCategoryView StatusLast Update
00313202.x IDE BugsCompilingPublic2019-09-05 13:57
ReporterScott DunbarAssigned ToSteven Campbell 
PriorityHighSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Product Version2.2.3 
Target Version2.2.4Fixed in Version2.2.4 
Summary0031320: Compiling: layer_get_visible() returns wrong values in-game for child layers inside invisible folders
DescriptionWhen a layer is within a folder, layer_get_visible will return "true" even if the folder containing it or everything gets set to invisible in the room editor
Steps To Reproduce1. Import project - if you want, open the room editor and observe the two instance layers are marked as not visible (no eye icon showing)
2. Run it for Windows VM and observe you incorrectly see the red square for approx 2 seconds before the layer visibility is fixed by the game code
3. Close the game
4. In the room editor, turn "Folder_1" back to visible, which will then set "Instances" as visible automatically. Turn "Instances" off again. (So the parent is visible, but the child is not.)
5. Run the game again and observe this time all is correct - you do not see the red square and the show_debug_messages say all is well
Repro: 100%
TagsNo tags attached.
2.x IDE Found In2.2.3.432
2.x Runtime Found In2.2.3.341
2.x IDE Verified In2.2.4.445
2.x Runtime Verified In2.2.4.354

Relationships

related to 0030403 ClosedSteven Campbell Room Editor: Visible indicator doesn't work as expected for child layers 

Activities

Dan

2019-09-03 10:52

Adminstrator   ~0064711

Modified the sample to show this is that the initial visibility is not correct if you modify a parent ("Folder") and not the child directly ("Instances").

layer_get_visible_bug.yyz (22,499 bytes)

Steven Campbell

2019-09-04 14:50

Manager   ~0064717

Fixed in Red IDE/GitHub Pull Request 4845
Git Id: 1712adc262206ecc21a1175a88b60050189d7152
Additional Fix in: 16b11efd02f9290a9b418cdbacc6956fd670efbc

Dan

2019-09-04 15:20

Adminstrator   ~0064722

IDE 445+

Scott Dunbar

2019-09-05 13:57

Adminstrator   ~0064730

Verified fixed